package com.nisum.offertransactionservice.controller;

import com.github.tomakehurst.wiremock.WireMockServer;
import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.BeforeAll;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class AbstractTestBase {

    private static final Logger LOGGER = LoggerFactory.getLogger(AbstractTestBase.class);
    protected final static int HTTP_ENDPOINT_PORT = 9090;
    protected static WireMockServer mWireMockServer = new WireMockServer(HTTP_ENDPOINT_PORT);

    @BeforeAll
    public static  void setup() {
        mWireMockServer.start();
    }

    @AfterAll
    public static void tearDown() {
        /* Stop the WireMock server. */
        mWireMockServer.stop();
    }

}

